﻿@model LoyaltyPointEngine.Model.Object.Promo.PromoDetailModel
@{
    string titlHead = ViewBag.titleHead;
}


<div class="page-header">
    <div class="page-title">
        <h3>@titlHead</h3>
    </div>

    <!-- Page Stats -->
    <ul class="page-stats">
        <li>
            <a href="@Url.Action(MVC.Promo.DownloadExcelTemplate())" class="btn btn-icon input-block-level">
                <i class="icon-group"></i>
                <div>Download Excel Templates</div>
            </a>
        </li>
    </ul>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->

<div class="row">
    <div class="col-md-12">
        @using (Html.BeginForm("UploadFromExel", "Promo", FormMethod.Post, new {@id = "frmExcel",  @enctype = "multipart/form-data" }))
            {
            <div class="btn-group">
                <input type="hidden" name="id" value="@ViewBag.IdPromo" />
                <input type="file" name="excelFile" class="btn btn-primary" />
            </div>
            <button type="button" class="btn btn-primary" id="btnSubmit">Submit</button>
        }
        <br />
        <br />
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Promo Detail</h4>
            </div>
            <div class="right-title">
                @using (Html.BeginForm(null, null, null, FormMethod.Post, new { id = "gridSeachPromoDetail", City = "form" }))
                {
                    <input type="hidden" name="idp" id="idp" value="@ViewBag.IdPromo" />
                    <input type="text" id="txtSearch" name="txtSearch" class="form-control box-search" placeholder="Search for...">
                    <button class="hidden" type="submit"></button>
                    <label class="control-label"><span class="required">*Maximal Upload 10000 data</span></label>
                }

            </div>
            <div class="widget-content">
                @Html.Action("GridGetAllPromoDetail", new { idp = ViewBag.IdPromo })
            </div>
            <!-- .box-content -->

        </div>
        <!-- .box -->

    </div>
</div>


@section FooterScript{
    <script>
        (function () {
            var gridName = 'AllPromoDetail';
            var pagingUrl = '@Url.Action(MVC.Promo.GridGetAllPromoDetailPager())';

            $('.grid-mvc').gridmvc();
            pageGrids[gridName].ajaxify({
                getData: pagingUrl,
                getPagedData: pagingUrl,
                gridFilterForm: $('#gridSeachPromoDetail')
            });
        }())
    </script>
    <script type="text/javascript">
        $(document).ready(function () {
            $('#btnSubmit').click(function () {
                var fileName = $('[name="excelFile"]').val().trim();
                var id = $('#idp').val();
                var pos = fileName.lastIndexOf('.');
                var extension = (pos <= 0) ? '' : fileName.substring(pos);
                if (extension != '.xlsx') {
                    alert('Please browse a correct excel file to upload');
                    return;
                }

                $('#frmExcel').submit();
            });
        });
    </script>
}